#ifndef SCENEPICKER_H
#define SCENEPICKER_H

#include "scene/meshnode.h"

class ScenePicker : public MeshNode
{
    static Mesh* generateMesh();

    glm::vec3 m_pickedPos;
    bool m_pickSucceeded;

public:
    ScenePicker();

    virtual ~ScenePicker();

    virtual void update();

    void pick();

    glm::vec3 getIntersection() { return m_pickedPos; }
    bool getTraceSucceeded() { m_pickSucceeded; }
};

#endif // SCENEPICKER_H
